package com.utopiaindustries.model.ctp;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

public class StitchingOfflineItem implements InventoryArtifact {

    private long id;
    private long itemId;
    private String sku;
    private String barcode;
    private long jobCardId;
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss" )
    private LocalDateTime createdAt;
    private String createdBy;
    private boolean isQa;
    private String qaRemarks;
    private String qaStatus;

    @Override
    public String getType() {
       return "-";
    }

    @Override
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Override
    public long getItemId() {
        return itemId;
    }

    public void setItemId(long itemId) {
        this.itemId = itemId;
    }

    @Override
    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    @Override
    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public long getJobCardId() {
        return jobCardId;
    }

    public void setJobCardId(long jobCardId) {
        this.jobCardId = jobCardId;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public boolean getIsQa() {
        return isQa;
    }

    public void setIsQa(boolean qa) {
        isQa = qa;
    }

    public String getQaRemarks() {
        return qaRemarks;
    }

    public void setQaRemarks(String qaRemarks) {
        this.qaRemarks = qaRemarks;
    }

    public String getQaStatus() {
        return qaStatus;
    }

    public void setQaStatus(String qaStatus) {
        this.qaStatus = qaStatus;
    }

    @Override
    public String toString() {
        return "StitchingOfflineItem{" +
                "id=" + id +
                ", itemId=" + itemId +
                ", sku='" + sku + '\'' +
                ", barcode='" + barcode + '\'' +
                ", jobCardId=" + jobCardId +
                ", createdAt=" + createdAt +
                ", createdBy='" + createdBy + '\'' +
                ", isQa=" + isQa +
                ", qaRemarks='" + qaRemarks + '\'' +
                ", qaStatus='" + qaStatus + '\'' +
                '}';
    }
}
